Bug 102285 - [PATCH] print/jabref: update to 2.1
Summary: [PATCH] print/jabref: update to 2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-19 19:20 UTC by Simon Olofsson
Modified: 2006-09-06 23:21 UTC (History)
1 user (show)

See Also:


Attachments
jabref-2.1,1.patch (2.24 KB, patch)
2006-08-19 19:20 UTC, Simon Olofsson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Olofsson 2006-08-19 19:20:21 UTC
- Update to 2.1
- install into JAVAJARDIR, according to section 6.9.3 of the Porter's Handbook
- install JAR as PORTNAME, to be more consistent

Port maintainer (fernan@iib.unsam.edu.ar) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2006-08-19 19:20:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Herve Quiroz freebsd_committer 2006-08-21 16:26:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this. 

BTW, according to the Porter's Handbook, only JAR files that are libraries 
meant to be re-used by other applications have to be in ${JAVAJARDIR}. Are you 
sure jabref.jar is useful in users' CLASSPATH other than when launching jabref 
itself?
Comment 3 Simon Olofsson 2006-08-21 23:08:04 UTC
Shame on me. Your're right, it should go to
${JAVASHAREDIR}/${PORTNAME}.
Here's a new patch:
http://olofsson.de/simon/tmp/jabref-21.patch
Sorry and thanks for the hint :)
-- 
Mit freundlichem Gruß,
With best regards,

Simon Olofsson
http://olofsson.de
Comment 4 Simon Olofsson 2006-09-06 20:38:34 UTC
Fernan send this mail twice, but it doesn't come through.
BTW. What about adding exec in the wrapper script, like described in
section 12.11 of the Porter's Handbook!? Fernan, are you ok with this?
If so, I´ll update the patch.
Regards,
Simon

----- Forwarded message from Fernan Aguero <fernan@iib.unsam.edu.ar> -----

Date: Tue, 5 Sep 2006 11:14:58 -0300
From: Fernan Aguero <fernan@iib.unsam.edu.ar>
Subject: Re: ports/102285: [PATCH] print/jabref: update to 2.1
To: bug-followup@FreeBSD.org, simon@olofsson.de
Cc: hq@FreeBSD.org

[ I am resending this message cause I now realize it was not
acknowledged by GNATS (originally sent on Aug 23rd)]

+---[
| Shame on me. Your're right, it should go to
| ${JAVASHAREDIR}/${PORTNAME}.
| Here's a new patch:
| http://olofsson.de/simon/tmp/jabref-21.patch
| Sorry and thanks for the hint :)
|
+---]

Latest patch approved, thanks!

Fernan

----- End forwarded message -----

-- 
http://olofsson.de
Comment 5 Herve Quiroz freebsd_committer 2006-09-06 23:15:59 UTC
State Changed
From-To: feedback->open

Patch approved.
Comment 6 Herve Quiroz freebsd_committer 2006-09-06 23:21:33 UTC
State Changed
From-To: open->closed

Patch commited. 

Thanks for your contribution!